#include "Plane3.h"
#include "ViewCellBsp.h"

class ViewCell;

//namespace GtpVisibilityPreprocessor {

bool BSPNode::IsRoot() const 
{
	return mParent == NULL;
}

bool BSPInterior::IsLeaf() const
{ 
	return false; 
}

BSPLeaf::BSPLeaf(ViewCell *viewCell): mViewCell(viewCell) 
{
}

bool BSPLeaf::IsLeaf() const 
{ 
	return true; 
}

BSPTree::BSPTree(ViewCell *cell) 
{
	mRootCell = cell;
	mRoot = new BSPLeaf(mRootCell);
}

//} // GtpVisibilityPreprocessor